package com.uas.finance.dao;

import com.uas.finance.model.RepaymentPlan;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 还款计划dao层
 * created by shicr on 2018/2/24
 **/
@Repository
public interface RepaymentPlanDao extends JpaRepository<RepaymentPlan, Long> {

    List<RepaymentPlan> findByAaid(Long aaid);
}
