package com.uas.finance.erp.service;

import com.uas.finance.model.FinancingApply;
import org.springframework.ui.ModelMap;

import java.util.List;

/**
 * 金融服务下载接口
 * <p>
 * created by shicr on 2017/12/26
 **/
public interface FinancingApplyDownService {

    /**
     * 将金融平台的financeingApply进行封装操作
     *
     * @param financingApply financingApply数据
     * @return
     */
    ModelMap covert(List<FinancingApply> financingApply);

    /**
     * 更新financeingApply下载状态
     *
     * @param idStr 需要更新的id
     */
    void updateDownStatus(String idStr);
}
