package com.uas.finance.service;

import com.uas.finance.model.ChangesInstruction;
import com.uas.finance.model.ChangesInstruction;

import java.util.List;
import java.util.Map;

/**
 * 变更信息接口
 * created by shicr on 2017/12/20
 **/
public interface ChangesInstructionService {

    /**
     * 变更企业保存
     *
     * @param changesInstruction
     * @return
     */
    ChangesInstruction save(ChangesInstruction changesInstruction);

    /**
     * 变更企业更新
     *
     * @param instructionList
     */
    List<Map<String,Long>> update(List<ChangesInstruction> instructionList);
}
