package com.uas.finance.service;

import com.uas.finance.model.MFCustInfo;
import com.uas.finance.model.MFCustInfo;

import java.util.List;
import java.util.Map;

/**
 * 买方信息接口
 * created by shicr on 2017/12/21
 **/
public interface MFCustInfoService {

    /**
     * 保存买方
     *
     * @param info
     * @return
     */
    MFCustInfo save(MFCustInfo info);

    /**
     * 根据id找到买方
     *
     * @param id
     * @return
     */
    MFCustInfo findOne(Long id);

    /**
     * 更新买方资料
     *
     * @param mfCustInfoList
     */
    List<Map<String, Long>> update(List<MFCustInfo> mfCustInfoList);
}
