package com.uas.finance.service;

import com.uas.finance.model.ProductMix;
import com.uas.finance.model.ProductMix;

import java.util.List;
import java.util.Map;

/**
 * 经营情况接口
 * created by shicr on 2017/12/21
 **/
public interface ProductMixService {

    /**
     * 经营情况保存
     *
     * @param productMix
     * @return
     */
    ProductMix save(ProductMix productMix);

    /**
     * 更新经营情况表
     *
     * @param productMixList
     */
    List<Map<String, Long>> update(List<ProductMix> productMixList);

}
