package com.uas.finance.service;

import com.uas.finance.model.RepaymentPlan;

import java.util.List;
import java.util.Map;

/**
 * 还款计划接口层
 * created by shicr on 2018/2/24
 **/
public interface RepaymentPlanService {

    /**
     * 保存还款计划
     *
     * @param repaymentPlans
     * @return
     */
    List<Map<String, Long>> save(List<RepaymentPlan> repaymentPlans);

    /**
     * 找到某出账单下的还款计划
     *
     * @param aaid
     * @return
     */
    List<RepaymentPlan> findByAaid(Long aaid);
}
