package com.uas.finance.dao;

import com.uas.finance.model.AccountApplyAttach;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 应收账款转让附件dao层
 * created by shicr on 2018/1/30
 **/
@Repository
public interface AccountApplyAttachDao extends JpaRepository<AccountApplyAttach,Long>{

    /**
     * 查找某出账单下所以附件
     * @param aaid
     * @return
     */
    List<AccountApplyAttach> findByAaid(Long aaid);

}
