package com.uas.finance.erp.service;

import com.uas.finance.model.AccountApply;
import org.springframework.ui.ModelMap;

import java.util.List;

/**
 * 应收账款转让接口
 * created by shicr on 2018/1/29
 **/
public interface AccountApplyDownService {

    /**
     * 对应收账款转让表AccountApply进行封装
     *
     * @param apply
     * @return
     */
    ModelMap covert(List<AccountApply> apply);

    /**
     * 更新accountapply的下载状态
     *
     * @param id
     */
    void updateErpStatus(Long id);
}
