package com.uas.finance.model;

import java.util.Collection;

/**
 * 单据查询搜索条件
 * @author suntg
 * @since 2015年8月20日下午2:37:22
 */
public class SearchFilter {

	/**
	 * 关键词
	 */
	private String keyword;
	/**
	 * 开始日期
	 */
	private Long fromDate;
	/**
	 * 结束日期
	 */
	private Long endDate;
	/**
	 * 开始交货日期
	 */
	private Long fromDelivery;
	/**
	 * 结束交货日期
	 */
	private Long endDelivery;
	/**
	 * 开始价格
	 */
	private Double fromPrice;
	/**
	 * 结束价格
	 */
	private Double endPrice;
	/**
	 * 客户分配条件
	 */
	private Collection<?> distribute;
	
	public String getKeyword() {
		return keyword;
	}
	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}
	public Long getFromDate() {
		return fromDate;
	}
	public void setFromDate(Long fromDate) {
		this.fromDate = fromDate;
	}
	public Long getEndDate() {
		return endDate;
	}
	public void setEndDate(Long endDate) {
		this.endDate = endDate;
	}
	public Long getFromDelivery() {
		return fromDelivery;
	}
	public void setFromDelivery(Long fromDelivery) {
		this.fromDelivery = fromDelivery;
	}
	public Long getEndDelivery() {
		return endDelivery;
	}
	public void setEndDelivery(Long endDelivery) {
		this.endDelivery = endDelivery;
	}
	public Double getFromPrice() {
		return fromPrice;
	}
	public void setFromPrice(Double fromPrice) {
		this.fromPrice = fromPrice;
	}
	public Double getEndPrice() {
		return endPrice;
	}
	public void setEndPrice(Double endPrice) {
		this.endPrice = endPrice;
	}
	public Collection<?> getDistribute() {
		return distribute;
	}
	public void setDistribute(Collection<?> distribute) {
		this.distribute = distribute;
	}
	
}
