package com.uas.finance.service;

import com.uas.finance.model.AccountApplyAttach;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 应收账款附加保存
 * created by shicr on 2018/1/30
 **/
public interface AccountApplyAttachService {

    /**
     * 应收账款转让附件保存
     *
     * @param file
     * @param attach
     * @return
     */
    AccountApplyAttach save(MultipartFile file, AccountApplyAttach attach);

    /**
     * 查找某出账单下所以附件
     * @param aaid
     * @return
     */
    List<AccountApplyAttach> findByAaid(Long aaid);

    /**
     * 删除附件
     * @param id
     * @return
     */
    void delete(Long id);

}
