package com.uas.finance.service;

import com.uas.finance.model.AccountInfo;

import java.util.List;
import java.util.Map;

/**
 * 财务数据接口
 * created by shicr on 2017/12/21
 **/
public interface AccountInfoService {

    /**
     * 财务数据保存
      * @param accountInfo
     * @return
     */
    AccountInfo save(AccountInfo accountInfo);

    /**
     * 财务数据更新
     * @return
     */
    List<Map<String, Long>>  update(List<AccountInfo> accountInfos);
}
