package com.uas.finance.service;


import com.uas.finance.model.ErpLog;
import com.uas.finance.model.SearchFilter;
import com.uas.platform.core.logging.LogService;
import com.uas.platform.core.model.PageInfo;
import org.springframework.data.domain.Page;


public interface ErpLogService extends LogService<ErpLog> {

	/**
	 * 分页查找日志
	 * 
	 * @param pageInfo
	 * @return
	 */
	public Page<ErpLog> findSearchByPageInfo(PageInfo pageInfo, SearchFilter filter);

}
