package com.uas.finance.service;

import com.uas.finance.model.FinanceCondition;import com.uas.finance.model.FinanceCondition;

import java.util.List;
import java.util.Map;

/**
 * 财务情况说明接口
 * created by shicr on 2017/12/21
 */
public interface FinanceConditionService {

    /**
     * 保存财务情况说明
     * @param financeCondition
     * @return
     */
    FinanceCondition save(FinanceCondition financeCondition);

    /**
     * 更新ERP传来的财务情况说明
     * @param financeCondition
     * @return
     */
    List<Map<String, Long>> update(FinanceCondition financeCondition);
}
